import { BucketInfoType } from "@newSdk/model/BucketInfo";
import OSS from "ali-oss";
import { S3 } from "@aws-sdk/client-s3";
export default class ClientFactory {
    static getOssClient({ base_host, bucket_name, sts, }: Pick<BucketInfoType, "base_host" | "bucket_name" | "sts">): OSS;
    static getAwsClient({ region, sts }: Pick<BucketInfoType, "region" | "sts">): Promise<S3>;
}
